%                  Universit di Ferrara                           %
%                                                                  %
%              Corso di informatica industriale                    %
%                                                                  %
%               Script risoluzione esercizio 3                     %
%           Esercitazione in laboratorio del 30/1/2009             %
%******************************************************************%
% L'esecuzione dello script risolve il seguente problema:
%Testo: calcolare la distanza che minimizza la tensione sul cavo che
% mantiene in posizione una trave,  in riferimento al testo
% ed al disegno riportato sui lucidi

%% Pulizia dell'ambiente di lavoro, prima di intraprendere la soluzione

clear  %pulizia completa dell workspace
clc    %Pulizia del Command window
close all % chiudo eventuali finestre grafiche (figure) aperte

%% Inserimento dati
% Importo nel workspace i dati del problema
% Valori costanti
Lb=3
Lc=5
W=400

%D e variabile: occorre un vettore per valutare la tensione lungo il cavo;
% e il parametro da valutare
D=0.1:0.01:(Lb-0.1)

%% Risoluzione esercizio

%Valutazione del numeratore
numeratore=Lb*Lc*W; %NB: il numeratore e costante

%Valutazione del denominatore
denominatore=D.*sqrt(Lb.^2-D.^2);

%Valutazione della tensione lungo il cavo, al variare della distanza
T=numeratore./denominatore;

% NB: non e necessario valutare separatamente il numeratore e il denominatore

%Grafico l'andamento della tensione
plot(D,T)

%Si ricava il valore minimo della tensione
[quanto, dove]=min(T)
%la variabile 'dove' ci dice in che elemento
%del vettore delle tensioni essa  minima
%vediamo a che D corrisponde
distanzaminimatensione=D(dove)

%Possiamo inoltre indicare nel grafico il punto di tensione minima
hold on
plot(distanzaminimatensione,quanto,'*')
