%                  Universita' di Ferrara                          %
%                                                                  %
%              Corso di informatica industriale                    %
%                                                                  %
%               Funzione Costominiere - esercizio 11               %
%           Esercitazione in laboratorio del 30/1/2009             %
%******************************************************************%
%
%  function out=costominiere(p)
%
%la funzione restituisce il valore del costo totale del trasporto nel
%sistema miniere, se il raccoglitore viene posto nel punto p. P, in
%ingresso,  uno vettore (1x2), [x y]
%L'uscita invece  un valore scalare.

function out=costominiere(p)

%Si definisce il valore in uscita come nullo; non  fondamentale, ma
%permette a matlab di gestire con miglior efficienza la memoria.
costo=[];

%calcolo il costo di trasporto da ogni miniera

%Questo viene effettuato considerando la distanza euclidea tra la miniera
%i-esima e il punto di raccolta p, il tutto moltiplicato per la quantita'
%di risorse che la miniera i-esima fornisce, pesando cos l'importanza
%della miniera.

%Si usa la funzione distanzaeuclidea, implementata con l'esercizio 8
costo(1)=3*distanzaeuclidea(p,[1 28]);

costo(2)=7*distanzaeuclidea(p,[7 18]);

costo(3)=4*distanzaeuclidea(p,[8 16]);

costo(4)=5*distanzaeuclidea(p,[17 2]);

costo(5)=2*distanzaeuclidea(p,[22 10]);

costo(6)=6*distanzaeuclidea(p,[27 8]);

%infine si definisce il valore dell'uscita della funzione, come somma dei
%singoli costi per miniera
out=sum(costo);

%------------------------------ FINE FUNZIONE ------------------------- %

%per risolvere il problema, eseguire lo script 'esercizio11.m'