%                  Universit di Ferrara                           %
%                                                                  %
%              Corso di informatica industriale                    %
%                                                                  %
%               Script risoluzione esercizio 2                     %
%           Esercitazione in laboratorio del 30/1/2009             %
%******************************************************************%
% L'esecuzione dello script risolve il seguente problema:
%Testo: Efficienza d'ala. Ricavare il punto di massima efficienza di 
% un profilo alare valutando l'inclinazione di quest'ultima 
% nell'intervallo [-2,22] gradi.

%% Pulizia dell'ambiente di lavoro, prima di intraprendere la soluzione

clear  %pulizia completa dell workspace
clc    %Pulizia del Command window
close all % chiudo eventuali finestre grafiche (figure) aperte

%% Inserimento dati
%Si definiscono nel workspace due vettori, 'cp' e 'cr', contenenti i valori dei
%coefficienti polinomiali dell'espressione riportata sui lucidi
cp=[ 4.47e-5 1.15e-3 6.66e-2 1.02e-1 ]
cr=[ 5.75e-6 5.09e-4 1.81e-4 1.25e-2 ]

%Si genera il vettore alfa, contenente i punti nell'intervallo da valutare.
% Nota: In questo caso e possibile non convertire da gradi in radianti in quanto
% non si utilizza nessuna funzione trigonometrica gia implementata in matlab che
% richiede un angolo espresso in radianti
alfa=-2:0.1:22;

% Si utilizza la funzione 'polyvar' per valutare il valore del polinomio, noto il
% vettore dei coefficienti e il valore della variabile indipendente del polinomio
val_cp=polyval(cp,alfa);
val_cr=polyval(cr,alfa);

%Si calcola il valore dell'efficienza, espressa come dai lucidi
efficienza = val_cp ./ val_cr ;

%Si grafica l'andamento dell'efficienza al variare dell'inclinazione
figure, plot(alfa, efficienza);

% Si Valuta il punto di efficienza massima
[quanto,dove]=max(efficienza);
%la variabile dove ci dice in che elemento
%del vettore delle efficienze essa  max
%vediamo a che alfa corrisponde
angolomassimaefficienza=alfa(dove)

%Possiamo inoltre indicare nel grafico il punto di efficienza massima
hold on
plot(angolomassimaefficienza,quanto,'*')
